/**
 * 倒计时
 * @param time 毫秒计算
 * @param onChange 根据时间倒计时的执行函数
 */
export function countDown(time: number, onChange: (t: number) => void) {
    var timeObj = { a: time };
    FYGE.Tween.get(timeObj, {
        onChange: () => {
            onChange(timeObj.a)
            // this.timeTxt.text = "" + Math.round(timeObj.a / 1000) + "s"
            // if (timeObj.a < 100) {
            //     FYGE.Tween.removeTweens(timeObj)
            //     callback()
            // }
        }
    })
        .to({ a: 0 }, time)
    //返回一个，可以中途取消
    return timeObj
}
/**
 * 中断倒计时
 * @param timeObj 
 */
export function clearCountDown(timeObj) {
    if (!timeObj) return
    FYGE.Tween.removeTweens(timeObj)
}
